% This is part of the TFTB Reference Manual.
% Copyright (C) 1996 CNRS (France) and Rice University (US).
% See the file refguide.tex for copying conditions.


\markright{tfrbud}
\section*{\hspace*{-1.6cm} tfrbud}

\vspace*{-.4cm}
\hspace*{-1.6cm}\rule[0in]{16.5cm}{.02cm}
\vspace*{.2cm}

{\bf \large \sf Purpose}\\
\hspace*{1.5cm}
\begin{minipage}[t]{13.5cm}
Butterworth time-frequency distribution.
\end{minipage}
\vspace*{.5cm}

{\bf \large \sf Synopsis}\\
\hspace*{1.5cm}
\begin{minipage}[t]{13.5cm}
\begin{verbatim}
[tfr,t,f] = tfrbud(x)
[tfr,t,f] = tfrbud(x,t)
[tfr,t,f] = tfrbud(x,t,N)
[tfr,t,f] = tfrbud(x,t,N,g)
[tfr,t,f] = tfrbud(x,t,N,g,h)
[tfr,t,f] = tfrbud(x,t,N,g,h,sigma)
[tfr,t,f] = tfrbud(x,t,N,g,h,sigma,trace)
\end{verbatim}
\end{minipage}
\vspace*{.5cm}

{\bf \large \sf Description}\\
\hspace*{1.5cm}
\begin{minipage}[t]{13.5cm}
        {\ty tfrbud} computes the Butterworth distribution of a
        discrete-time signal {\ty x}, or the cross Butterworth
        representation between two signals. This distribution has the
        following expression :

\[Bud_x(t,\nu)=
\int_{-\infty}^{+\infty} \frac{\sqrt{\sigma}}{2|\tau|}\
e^{-|v|\sqrt{\sigma}/|\tau|}\ x(t+v+\frac{\tau}{2})\
x^*(t+v-\frac{\tau}{2})\ e^{-j2\pi \nu \tau}\ dv\ d\tau.\]

\hspace*{-.5cm}\begin{tabular*}{14cm}{p{1.5cm} p{8cm} c}
Name & Description & Default value\\
\hline
        {\ty x}     & signal if auto-BUD, or {\ty [x1,x2]} if cross-BUD. {\ty
			Nx=length(x)} \\
        {\ty t}     & time instant(s)          & {\ty (1:Nx)}\\
        {\ty N}     & number of frequency bins & {\ty Nx}\\
        {\ty g}     & time smoothing window, {\ty G(0)} being forced to {\ty 1}, where {\ty G(f)} is the Fourier transform of {\ty g(t)}. 
                                         & {\ty window(odd(N/10))}\\
        {\ty h}     & frequency smoothing window, {\ty h(0)} being forced to {\ty 1}.
                                         & {\ty window(odd(N/4))}\\
        {\ty sigma} & kernel width             & {\ty 1}\\
        {\ty trace} & if nonzero, the progression of the algorithm is shown
                                         & {\ty 0}\\
     \hline {\ty tfr}   & time-frequency representation\\
        {\ty f}     & vector of normalized frequencies\\
 
\hline
\end{tabular*}
\vspace*{.2cm}

When called without output arguments, {\ty tfrbud} runs {\ty tfrqview}
\end{minipage}

\newpage

{\bf \large \sf Example}
\begin{verbatim}
         sig=fmlin(128,0.05,0.3)+fmlin(128,0.15,0.4);  
         g=window(9,'Kaiser'); h=window(27,'Kaiser'); 
         t=1:128; tfrbud(sig,t,128,g,h,3.6,1);
\end{verbatim}
\vspace*{.5cm}

{\bf \large \sf See Also}\\
\hspace*{1.5cm}
\begin{minipage}[t]{13.5cm}
all the {\ty tfr*} functions.
\end{minipage}
\vspace*{.5cm}


{\bf \large \sf Reference}\\
\hspace*{1.5cm}
\begin{minipage}[t]{13.5cm}
[1] D. Wu, J. Morris, ``Time frequency representations using a radial
butterworth kernel'', Proc IEEE Symp TFTSA Philadelphia PA, pp. 60-63,
oct. 1994.\\

[2] A. Papandreou, G.F. Boudreaux-Bartels, ``Generalization of the
Choi-Williams and the Buitterworth Distribution for Time-Frequency
Analysis'', IEEE Trans SP, vol 41, pp 463-472, Jan 1993.\\

[3] F. Auger ``Représentations Temps-Fréquence des Signaux
Non-Stationnaires\,: Synthèse et Contributions'' Ph. D. Thesis, Ecole
Centrale de Nantes, France, 1991.
\end{minipage}

